org.apache.tomcat.util.http

## Class RequestUtil

- java.lang.Object
- - org.apache.tomcat.util.http.RequestUtil

    public class RequestUtil
    extends Object

### Method Summary

Methods
`static String` `normalize(String path)` Normalize a relative URI path that may have relative values ("/./", "/../", and so on ) it it.
`static String` `normalize(String path, boolean replaceBackSlash)` Normalize a relative URI path that may have relative values ("/./", "/../", and so on ) it it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### normalize

    public static String normalize(String path)

Normalize a relative URI path that may have relative values ("/./", "/../", and so on ) it it. WARNING - This method is useful only for normalizing application-generated paths. It does not try to perform security checks for malicious input.

Parameters:
  `path` - Relative path to be normalized

#### normalize

    public static String normalize(String path,
                   boolean replaceBackSlash)

Normalize a relative URI path that may have relative values ("/./", "/../", and so on ) it it. WARNING - This method is useful only for normalizing application-generated paths. It does not try to perform security checks for malicious input.

Parameters:
  `path` - Relative path to be normalized
  `replaceBackSlash` - Should '\\' be replaced with '/'